Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0042577
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] A. Platformcriticalalways2019-12-13 14:042019-12-20 09:34
ReporterjarmendarizView Statuspublic 
Assigned Tojarmendariz 
PriorityurgentResolutionfixedFixed in Version3.0PR19Q4.1
StatusclosedFix in branchFixed in SCM revision005eb39e9993
ProjectionnoneETAnoneTarget Version3.0PR19Q4.1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0042577: Logs older than 30 days are not removed during log rotation

DescriptionUsing the default Openbravo log4j configuration, during rollover log files are limited to max 30 files, but this limitation applies only during a single day. Logs from previous days are not removed and the number of log files can grow indefinitely.
Steps To ReproduceUsing an Openbravo instance with the default log4j configuration that generates log files for more than 30 days, check that there are more than 30 files and older logs are not removed when creating new log files.
Proposed SolutionAdd a <Delete/> rule in log4j-web.xml that determines that files older than 30 days ago should be removed.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0042556 closedjarmendariz Logs older than 30 days are not removed during log rotation 

-  Notes
(0116410)
hgbot (developer)
2019-12-18 13:33

Repository: erp/backports/3.0PR19Q4.1
Changeset: 005eb39e99934724c6c21bcb307162c74c1e410e
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Wed Dec 18 13:15:18 2019 +0100
URL: http://code.openbravo.com/erp/backports/3.0PR19Q4.1/rev/005eb39e99934724c6c21bcb307162c74c1e410e [^]

Fixed BUG-42577: Adding remove log archive policy to prevent indefinite growth.

Using current log4j config, only files under the same period of time are limited
(i.e. when logfile is bigger than 100MB, there can be max 30 log archives for the
same day).

The new rule added applies to log archives with the format openbravo-*.log.gz and
will remove the oldest archive until there are max 30 files. This process will be
performed every time a log rollover occurs.

This commit also adds a build validation step that overrides the current config
with the updated one _only_ if its a exact copy of the previous default config.

---
M config/log4j2-web.xml.template
M src-util/buildvalidation/build/classes/org/openbravo/buildvalidation/CopyLog4jConfigurationFromTemplates.class
M src-util/buildvalidation/src/org/openbravo/buildvalidation/CopyLog4jConfigurationFromTemplates.java
---
(0116433)
AugustoMauch (developer)
2019-12-19 13:28

Code reviewed and verified

- Issue History
Date Modified Username Field Change
2019-12-17 08:47 alostale Type defect => backport
2019-12-17 08:47 alostale Target Version => 3.0PR19Q4.1
2019-12-18 13:33 hgbot Checkin
2019-12-18 13:33 hgbot Note Added: 0116410
2019-12-18 13:33 hgbot Status scheduled => resolved
2019-12-18 13:33 hgbot Resolution open => fixed
2019-12-18 13:33 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR19Q4.1/rev/005eb39e99934724c6c21bcb307162c74c1e410e [^]
2019-12-19 13:28 AugustoMauch Note Added: 0116433
2019-12-19 13:28 AugustoMauch Status resolved => closed
2019-12-19 13:28 AugustoMauch Fixed in Version => 3.0PR19Q4.1
2019-12-20 09:34 alostale Severity major => critical


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker